Uploaded image for project: 'Funtoo Linux'
  1. Funtoo Linux
  2. FL-9685 Modernize the Ruby Programming Language on Funtoo
  3. FL-9695

[ruby-kit] dev-lang/ruby Add Latest Ruby 3.0 and 3.1 to Funtoo next

Details

    • Sub-task
    • Status: Closed
    • Normal
    • Resolution: Fixed
    • None
    • The development of Ruby for Funtoo next is impacting all users of Funtoo next.

    Description

      The first major effort of the Funtoo Programming Language Ruby Project is to add the latest upstream supported versions of Ruby 3.0 and 3.1. Here is the plan:

      1. Added next metadata to kit-fixups ruby-kit
      2. Port the latest Gentoo upstream Ruby 3.0 and 3.1 ebuilds to Funtoo next
      3. Port any Gentoo upstream latest Ruby and RubyGems dependencies required for Ruby 3.0 & 3.1
      4. Update any Funtoo specific core-kit eclasses for Funtoo next to support Ruby 3.0 and 3.1

      References:

      Attachments

        Issue Links

          Activity

            People

              siris siris
              siris siris
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: